const path = require('path');
const defaultConfig = require('@wordpress/scripts/config/webpack.config');

module.exports = {
	...defaultConfig,
	entry: {
		index: path.resolve(__dirname, 'blocks/advanced-accordion/src/index.js'),
		frontend: path.resolve(__dirname, 'blocks/advanced-accordion/src/frontend.js'),
		style: path.resolve(__dirname, 'blocks/advanced-accordion/src/style.js'),
	},
	output: {
		...defaultConfig.output,
		path: path.resolve(__dirname, 'build'),
		filename: '[name].js',
	},
};
